ChiliProject - Bug # 407: Add Journal#visible

Status: Closed Priority: Normal

Author: Eric Davis Category: Journals / History
Created: 2011-05-13 Assignee: Eric Davis
Updated: 2011-05-29 Due date:

Remote issue URL:

Affected version: unstable

Description: From Felix

> |'ve also removed the "visible" scope on journals added in commit:27177def because | haven't found it to be
used anywhere, should probably be re-added for compatibility's sake.

Associated revisions

2011-05-13 08:26 pm - Eric Davis
[#123 #407] Deferred Journal#visible tests

2011-05-29 08:11 pm - Eric Davis
[#407] Remove deferred Journal#visible tests

History

2011-05-27 05:58 pm - Eric Davis

- Status changed from Open to Needs more information

I'm not sure what the best approach for this is. We can't check the view_issues permission because Journals are no longer only issues
(WikiContentJournal). We could add an null named scope that returns nothing on Journal and then on each subclass we can add the proper
permissions. But this won't help compatibility at all.

I'm thinking we just skip this and break compatibility. The visible scope is pretty new anyways.

2011-05-29 03:30 pm - Felix Schafer

Eric Davis wrote:

> I'm thinking we just skip this and break compatibility. The visible scope is pretty new anyways.

| haven't seen it used anywhere, so I'd say drop it.

2011-05-29 06:27 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Needs more information to Closed

Removed the tests in commit:bc24987
